Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603264 - Easily fixed warnings from the udev.d rules
Easily fixed warnings from the udev.d rules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rdma (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 01:48 EDT by Justin Clift
Modified: 2011-05-02 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-02 12:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-06-12 01:48:45 EDT
Description of problem:

The udev rules provided in the Fedora 14 rawhide 90-rmda.rules file produces warnings in /var/log/messages.

The fix is easy, just changing the "NAME=" components in each line to "SYMLINK+=".

Changing the 90-rdma.rules from this:

  KERNEL=="umad*", NAME="infiniband/%k"
  KERNEL=="issm*", NAME="infiniband/%k"
  KERNEL=="ucm*", NAME="infiniband/%k", MODE="0666"
  KERNEL=="uverbs*", NAME="infiniband/%k", MODE="0666"
  KERNEL=="uat", NAME="infiniband/%k", MODE="0666"
  KERNEL=="ucma", NAME="infiniband/%k", MODE="0666"
  KERNEL=="rdma_cm", NAME="infiniband/%k", MODE="0666"

to this:

  KERNEL=="umad*", SYMLINK+="infiniband/%k"
  KERNEL=="issm*", SYMLINK+="infiniband/%k"
  KERNEL=="ucm*", SYMLINK+="infiniband/%k", MODE="0666"
  KERNEL=="uverbs*", SYMLINK+="infiniband/%k", MODE="0666"
  KERNEL=="uat", SYMLINK+="infiniband/%k", MODE="0666"
  KERNEL=="ucma", SYMLINK+="infiniband/%k", MODE="0666"
  KERNEL=="rdma_cm", SYMLINK+="infiniband/%k", MODE="0666"

After which each of the above Infiniband devices created in /dev are also symlinked in /dev/infiniband/ to the /dev entry.


Version-Release number of selected component (if applicable):

The latest presently available in Fedora 14 rawhide:

  rdma-1.0-7.fc14.noarch


How reproducible:

Every time.


Steps to Reproduce:
1. Manually start the "rdma" init.d startup script on a newly booted system
2. Check /var/log/messages.  The above warnings will be present.


Actual results:

Output from /var/log/messages using the provided rules file:

  Jun 12 14:40:45 host1 udevd-work[658]: kernel-provided name 'issm0' and NAME= 'infiniband/issm0' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[657]: kernel-provided name 'umad0' and NAME= 'infiniband/umad0' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[1612]: kernel-provided name 'umad1' and NAME= 'infiniband/umad1' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[1613]: kernel-provided name 'issm1' and NAME= 'infiniband/issm1' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[1612]: kernel-provided name 'uverbs0' and NAME= 'infiniband/uverbs0' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[658]: kernel-provided name 'ucm0' and NAME= 'infiniband/ucm0' disagree, please use SYMLINK+= or change the kernel to provide the proper name
  Jun 12 14:40:45 host1 udevd-work[658]: kernel-provided name 'rdma_cm' and NAME= 'infiniband/rdma_cm' disagree, please use SYMLINK+= or change the kernel to provide the proper name


Expected results:

No warning messages to be output in /var/log/messages in regards to this.


Additional info:
Comment 1 Kay Sievers 2010-07-05 11:51:44 EDT
This should be fixed in the kernel to let the infiniband subsystem provide the expected names.

It's just like all other subsytems: input, sound, bdi, usb, dvb, ... provide the correct names (including the subdir) from the kernel driver.

They should not be converted to symlinks.
Comment 2 Bug Zapper 2010-07-30 08:06:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Doug Ledford 2010-08-03 00:10:26 EDT
I'm changing the entries to symlinks for now, and will remove the rules file entirely when the kernel patches to change the subsystem to create the right names has been accepted and trickled down into the Fedora kernel.
Comment 4 Doug Ledford 2011-05-02 12:50:08 EDT
Fixed long ago but bug was not autoclosed.

Note You need to log in before you can comment on or make changes to this bug.